import { Marks } from './Marks';
import { AxisLeft } from './AxisLeft';
import { AxisBottom } from './AxisBottom';

export const GroupChart = ({
  data,
  xScale,
  xValue,
  xLabelFormat,
  xLabelOffset,
  yScale,
  yValue,
  yLabelOffset,
  innerWidth,
  innerHeight,
  y,
  title,
}) => (
  <g transform={`translate(0,${y})`}>
    <AxisLeft yScale={yScale} yLabelOffset={yLabelOffset} innerWidth={innerWidth} />

    <AxisBottom
      xScale={xScale}
      innerHeight={innerHeight}
      xLabelOffset={xLabelOffset}
      xLabelFormat={xLabelFormat}
    />

    <Marks
      data={data}
      xScale={xScale}
      yScale={yScale}
      xValue={xValue}
      yValue={yValue}
      xLabelFormat={xLabelFormat}
    />
    <text
      className="x-title"
      transform={`translate(${innerWidth + yLabelOffset},${0})`}
      dy={innerHeight / 1.6}
    >
      {title}
    </text>
  </g>
);
